Update a studio
curl --request PATCH \
--url https://api-staging.pixwel.com/api/studios/{slug} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"_id": "507f1f77bcf86cd799439011",
"logo": "507f1f77bcf86cd799439011",
"coordinator": "507f1f77bcf86cd799439011",
"name": "<string>",
"slug": "<string>",
"previewWatermarkFormat": "<string>",
"created": 123,
"$links": {
"self": "//example.com/path/to/object",
"coordinator": "//example.com/path/to/object",
"logo": "//example.com/path/to/object"
},
"billing": "<string>",
"preferences": {
"enforce2fa": true
}
}
'import requests
url = "https://api-staging.pixwel.com/api/studios/{slug}"
payload = {
"_id": "507f1f77bcf86cd799439011",
"logo": "507f1f77bcf86cd799439011",
"coordinator": "507f1f77bcf86cd799439011",
"name": "<string>",
"slug": "<string>",
"previewWatermarkFormat": "<string>",
"created": 123,
"$links": {
"self": "//example.com/path/to/object",
"coordinator": "//example.com/path/to/object",
"logo": "//example.com/path/to/object"
},
"billing": "<string>",
"preferences": { "enforce2fa": True }
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
_id: '507f1f77bcf86cd799439011',
logo: '507f1f77bcf86cd799439011',
coordinator: '507f1f77bcf86cd799439011',
name: '<string>',
slug: '<string>',
previewWatermarkFormat: '<string>',
created: 123,
$links: {
self: '//example.com/path/to/object',
coordinator: '//example.com/path/to/object',
logo: '//example.com/path/to/object'
},
billing: '<string>',
preferences: {enforce2fa: true}
})
};
fetch('https://api-staging.pixwel.com/api/studios/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "507f1f77bcf86cd799439011",
"logo": "507f1f77bcf86cd799439011",
"coordinator": "507f1f77bcf86cd799439011",
"name": "<string>",
"slug": "<string>",
"previewWatermarkFormat": "<string>",
"created": 123,
"$links": {
"self": "//example.com/path/to/object",
"coordinator": "//example.com/path/to/object",
"logo": "//example.com/path/to/object"
},
"billing": "<string>",
"preferences": {
"enforce2fa": true
}
}Studios
Update a studio
PATCH
/
studios
/
{slug}
Update a studio
Authorizations
BasicAuthBearerAuth
Email address and password. A personal access token (pat_…) or session token (token-…) may also be sent in the password field, with any non-empty value as the username — a blank username short-circuits to a 401 before the token is read.
Path Parameters
Body
application/json
Example:
"507f1f77bcf86cd799439011"
Example:
"507f1f77bcf86cd799439011"
Example:
"507f1f77bcf86cd799439011"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
OK
Example:
"507f1f77bcf86cd799439011"
Example:
"507f1f77bcf86cd799439011"
Example:
"507f1f77bcf86cd799439011"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I